Status: Zamkniety Start date: 2017-02-16
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: web Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: tukasz Waskiewicz
Description

Aplikacja powinna postugiwac sie 2 tokenami.

Refresh token zawiera wszystkie informacje o kliencie (nazwa, uprawnienia + wszystko co potrzeba). Stuzy on do pobierania

authTokena, ktéry jest uzywany do komunikaciji.

AuthToken ma krotki czas zycia (600s) i jest mniejszy - dotgczany jest do kazdego zadania. AuthToken jest od$wiezany na biezaco
przez javascript. Refresh token z kolei od$wiezany jest gdy podczas od$wiezania authTokenu zostanie wykryte, ze refreshToken ma

krotki czas do uptynigcia.
Obydwa tokeny sg usuwane podczas wylogowywwania.

Associated revisions

Revision aa3d63e5 - 2017-02-16 13:56 - Michat Komar

refs #1575: Implementacja refresh tokena.

Revision 2037486a - 2017-02-17 08:48 - Michat Komar

refs #1575: Implementacja refresh tokena.

Revision fbca94d3 - 2017-04-03 13:16 - Michal Komar

refs #1575: Poprawki zwigzane z wykorzystaniem nowej wersji biblioteki

History

#1 - 2017-02-16 13:56 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Zrobione - zeby to zweryfikowaé najlepiej sie w debugu pobawi¢ z ustawianiem krétszych czaséw zycia dla tokenéw.

#2 - 2017-03-29 08:36 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

#3 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety
